# Generated by Django 4.2.11 on 2024-04-29 20:11

from django.db import migrations, models
import django.db.models.deletion

def _migrate_items(apps, schema_editor):
    Item = apps.get_model('plank', 'Item')

    for item in Item.objects.using(schema_editor.connection.alias).all():
        item.inventory = item.category.inventory
        item.save()

class Migration(migrations.Migration):

    dependencies = [
        ('plank', '0016_drop_sites'),
    ]

    operations = [
        migrations.AddField(
            model_name='item',
            name='inventory',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items',
                                    to='plank.inventory', blank=True, null=True),
            preserve_default=False,
        ),
        migrations.RunPython(_migrate_items),
        migrations.AlterField(
            model_name='item',
            name='inventory',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items',
                                    to='plank.inventory'),
        ),
        migrations.RemoveField(
            model_name='category',
            name='inventory',
        ),
        migrations.RemoveField(
            model_name='location',
            name='inventory',
        ),
        migrations.RemoveField(
            model_name='manufacturer',
            name='inventory',
        ),
        migrations.AlterField(
            model_name='checkoutcondition',
            name='inventory',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='check_out_conditions',
                                    to='plank.inventory'),
        ),
        migrations.AlterField(
            model_name='checkoutprocess',
            name='inventory',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='check_out_processes',
                                    to='plank.inventory'),
        ),
        migrations.AlterModelOptions(
            name='inventory',
            options={'ordering': ['name'], 'permissions': [('view_item_for_inventory', 'Can view item for inventory'), ('change_item_for_inventory', 'Can change item for inventory'), ('delete_item_for_inventory', 'Can delete item for inventory'), ('create_item_for_inventory', 'Can create item for inventory'), ('check_out_for_inventory', 'Can check out items for inventory'), ('check_in_for_inventory', 'Can check out items for inventory'), ('view_checkoutprocess_for_inventory', 'Can view check out process for inventory'), ('change_checkoutprocess_for_inventory', 'Can change check out process for inventory')], 'verbose_name': 'Inventory', 'verbose_name_plural': 'Inventories'},
        ),
    ]
